import UBI dracut-107-4.el10
This commit is contained in:
parent
bdf034c7e8
commit
9160e2e327
136
0007-build-upgrade-to-dracut-105.patch
Normal file
136
0007-build-upgrade-to-dracut-105.patch
Normal file
@ -0,0 +1,136 @@
|
||||
From 88796914fa725c674196c63109fdc3fdae2f0e9d Mon Sep 17 00:00:00 2001
|
||||
From: Pavel Valena <pvalena@redhat.com>
|
||||
Date: Fri, 7 Feb 2025 08:37:27 +0100
|
||||
Subject: [PATCH 07/31] build: upgrade to dracut 105
|
||||
|
||||
also add .dist/rebase.sh tool to help with rebases.
|
||||
|
||||
Resolves: RHEL-65204
|
||||
---
|
||||
test/TEST-60-NFS/test.sh | 3 ++-
|
||||
test/TEST-61-MULTINIC/test.sh | 2 +-
|
||||
test/TEST-62-BONDBRIDGEVLAN/test.sh | 2 +-
|
||||
test/TEST-70-ISCSI/test.sh | 4 ++--
|
||||
test/TEST-71-ISCSI-MULTI/test.sh | 4 ++--
|
||||
test/TEST-72-NBD/test.sh | 6 +++---
|
||||
6 files changed, 11 insertions(+), 10 deletions(-)
|
||||
|
||||
diff --git a/test/TEST-60-NFS/test.sh b/test/TEST-60-NFS/test.sh
|
||||
index cd1689e4..f6efea36 100755
|
||||
--- a/test/TEST-60-NFS/test.sh
|
||||
+++ b/test/TEST-60-NFS/test.sh
|
||||
@@ -375,8 +375,9 @@ test_setup() {
|
||||
)
|
||||
# Make server's dracut image
|
||||
"$DRACUT" -i "$TESTDIR"/overlay / \
|
||||
- -a "network-legacy ${SERVER_DEBUG:+debug}" \
|
||||
+ -a "network ${SERVER_DEBUG:+debug}" \
|
||||
-d "af_packet piix ide-gd_mod ata_piix ext4 sd_mod i6300esb virtio_net" \
|
||||
+
|
||||
--no-hostonly-cmdline -N \
|
||||
-f "$TESTDIR"/initramfs.server "$KVERSION"
|
||||
}
|
||||
diff --git a/test/TEST-61-MULTINIC/test.sh b/test/TEST-61-MULTINIC/test.sh
|
||||
index 367d7d24..5dcd931e 100755
|
||||
--- a/test/TEST-61-MULTINIC/test.sh
|
||||
+++ b/test/TEST-61-MULTINIC/test.sh
|
||||
@@ -358,7 +358,7 @@ test_setup() {
|
||||
)
|
||||
# Make server's dracut image
|
||||
"$DRACUT" -i "$TESTDIR"/overlay / \
|
||||
- -m "bash rootfs-block kernel-modules watchdog qemu network-legacy ${SERVER_DEBUG:+debug}" \
|
||||
+ -m "bash rootfs-block kernel-modules watchdog qemu network ${SERVER_DEBUG:+debug}" \
|
||||
-d "af_packet piix ide-gd_mod ata_piix ext4 sd_mod nfsv2 nfsv3 nfsv4 nfs_acl nfs_layout_nfsv41_files nfsd i6300esb virtio_net" \
|
||||
--no-hostonly-cmdline -N \
|
||||
-f "$TESTDIR"/initramfs.server "$KVERSION"
|
||||
diff --git a/test/TEST-62-BONDBRIDGEVLAN/test.sh b/test/TEST-62-BONDBRIDGEVLAN/test.sh
|
||||
index 5188c099..1f3878b1 100755
|
||||
--- a/test/TEST-62-BONDBRIDGEVLAN/test.sh
|
||||
+++ b/test/TEST-62-BONDBRIDGEVLAN/test.sh
|
||||
@@ -393,7 +393,7 @@ test_setup() {
|
||||
# Make server's dracut image
|
||||
"$DRACUT" -i "$TESTDIR"/overlay / \
|
||||
--no-early-microcode \
|
||||
- -m "rootfs-block kernel-modules watchdog qemu network network-legacy ${SERVER_DEBUG:+debug}" \
|
||||
+ -m "rootfs-block kernel-modules watchdog qemu network network ${SERVER_DEBUG:+debug}" \
|
||||
-d "ipvlan macvlan af_packet piix ide-gd_mod ata_piix ext4 sd_mod nfsv2 nfsv3 nfsv4 nfs_acl nfs_layout_nfsv41_files nfsd virtio-net i6300esb" \
|
||||
--no-hostonly-cmdline -N \
|
||||
-f "$TESTDIR"/initramfs.server "$KVERSION"
|
||||
diff --git a/test/TEST-70-ISCSI/test.sh b/test/TEST-70-ISCSI/test.sh
|
||||
index ff27da53..879b7bd8 100755
|
||||
--- a/test/TEST-70-ISCSI/test.sh
|
||||
+++ b/test/TEST-70-ISCSI/test.sh
|
||||
@@ -173,7 +173,7 @@ test_setup() {
|
||||
# Create what will eventually be the server root filesystem onto an overlay
|
||||
"$DRACUT" -N --keep --tmpdir "$TESTDIR" \
|
||||
--add-confdir test-root \
|
||||
- -a network-legacy \
|
||||
+ -a "${USE_NETWORK}" \
|
||||
-d "iscsi_tcp crc32c ipv6" \
|
||||
-I "modprobe chmod ip setsid pidof tgtd tgtadm /etc/passwd" \
|
||||
--install-optional "/etc/netconfig dhcpd /etc/group /etc/nsswitch.conf /etc/rpc /etc/protocols /etc/services /usr/etc/nsswitch.conf /usr/etc/rpc /usr/etc/protocols /usr/etc/services" \
|
||||
@@ -210,7 +210,7 @@ test_setup() {
|
||||
|
||||
# Make server's dracut image
|
||||
"$DRACUT" \
|
||||
- -a "test network-legacy" \
|
||||
+ -a "test network" \
|
||||
-d "piix ide-gd_mod ata_piix ext4 sd_mod drbg virtio_net virtio_pci virtio_scsi" \
|
||||
-i "./server.link" "/etc/systemd/network/01-server.link" \
|
||||
-i ./wait-if-server.sh /lib/dracut/hooks/pre-mount/99-wait-if-server.sh \
|
||||
diff --git a/test/TEST-71-ISCSI-MULTI/test.sh b/test/TEST-71-ISCSI-MULTI/test.sh
|
||||
index 2950fc14..0c37c7cc 100755
|
||||
--- a/test/TEST-71-ISCSI-MULTI/test.sh
|
||||
+++ b/test/TEST-71-ISCSI-MULTI/test.sh
|
||||
@@ -183,7 +183,7 @@ test_setup() {
|
||||
rm -rf -- "$TESTDIR"/overlay
|
||||
"$DRACUT" -N --keep --tmpdir "$TESTDIR" \
|
||||
--add-confdir test-root \
|
||||
- -a "network-legacy iscsi" \
|
||||
+ -a "${USE_NETWORK} iscsi" \
|
||||
-d "iscsi_tcp crc32c ipv6 af_packet" \
|
||||
-I "ip grep sleep setsid chmod modprobe pidof tgtd tgtadm" \
|
||||
--install-optional "/etc/netconfig dhcpd /etc/group /etc/nsswitch.conf /etc/rpc /etc/protocols /etc/services /usr/etc/nsswitch.conf /usr/etc/rpc /usr/etc/protocols /usr/etc/services" \
|
||||
@@ -228,7 +228,7 @@ test_setup() {
|
||||
|
||||
# Make server's dracut image
|
||||
"$DRACUT" -i "$TESTDIR"/overlay / \
|
||||
- -a "test rootfs-block kernel-modules network-legacy ${SERVER_DEBUG:+debug}" \
|
||||
+ -a "test rootfs-block kernel-modules network ${SERVER_DEBUG:+debug}" \
|
||||
-d "af_packet piix ide-gd_mod ata_piix ext4 sd_mod drbg virtio_net" \
|
||||
-i "./server.link" "/etc/systemd/network/01-server.link" \
|
||||
-i "./wait-if-server.sh" "/lib/dracut/hooks/pre-mount/99-wait-if-server.sh" \
|
||||
diff --git a/test/TEST-72-NBD/test.sh b/test/TEST-72-NBD/test.sh
|
||||
index e25f449e..3f05b09c 100755
|
||||
--- a/test/TEST-72-NBD/test.sh
|
||||
+++ b/test/TEST-72-NBD/test.sh
|
||||
@@ -277,7 +277,7 @@ EOF
|
||||
|
||||
"$DRACUT" --keep --tmpdir "$TESTDIR" \
|
||||
--add-confdir test-root \
|
||||
- -a "network-legacy" \
|
||||
+ -a "network" \
|
||||
-I "ip grep sleep nbd-server chmod modprobe pidof" \
|
||||
--install-optional "/etc/netconfig dhcpd /etc/group /etc/nsswitch.conf /etc/rpc /etc/protocols /etc/services /usr/etc/nsswitch.conf /usr/etc/rpc /usr/etc/protocols /usr/etc/services" \
|
||||
-i /tmp/config /etc/nbd-server/config \
|
||||
@@ -295,7 +295,7 @@ EOF
|
||||
# devices, volume groups, encrypted partitions, etc.
|
||||
"$DRACUT" -N -i "$TESTDIR"/overlay / \
|
||||
--add-confdir test-makeroot \
|
||||
- -a "network-legacy" \
|
||||
+ -a "${USE_NETWORK}" \
|
||||
-i ./create-server-root.sh /lib/dracut/hooks/initqueue/01-create-server-root.sh \
|
||||
--nomdadmconf \
|
||||
--no-hostonly-cmdline -N \
|
||||
@@ -338,7 +338,7 @@ test_setup() {
|
||||
-i "/tmp/key" "/etc/key"
|
||||
|
||||
"$DRACUT" -N -i "$TESTDIR"/overlay / \
|
||||
- -a "test network-legacy ${SERVER_DEBUG:+debug}" \
|
||||
+ -a "test network ${SERVER_DEBUG:+debug}" \
|
||||
-d "af_packet piix ide-gd_mod ata_piix ext4 sd_mod drbg virtio_net" \
|
||||
-i "./server.link" "/etc/systemd/network/01-server.link" \
|
||||
-i "./wait-if-server.sh" "/lib/dracut/hooks/pre-mount/99-wait-if-server.sh" \
|
||||
--
|
||||
2.52.0
|
||||
|
||||
@ -1,7 +1,7 @@
|
||||
From ea8bbaac7b4e0d91acc2d1a192d87b3f328e5808 Mon Sep 17 00:00:00 2001
|
||||
From: Pavel Valena <pvalena@redhat.com>
|
||||
Date: Wed, 29 Jan 2025 20:25:03 +0100
|
||||
Subject: [PATCH 07/16] revert: "fix(rescue): make rescue always no-hostonly"
|
||||
Subject: [PATCH 08/31] revert: "fix(rescue): make rescue always no-hostonly"
|
||||
|
||||
This partly reverts commit 224c00914bfb4ba1dee48e094ebb137facfd5947.
|
||||
|
||||
@ -26,5 +26,5 @@ index decee283..1be9b882 100755
|
||||
--kver "$KERNEL_VERSION" \
|
||||
"$BOOT_DIR_ABS/$INITRD"
|
||||
--
|
||||
2.50.1
|
||||
2.52.0
|
||||
|
||||
@ -1,7 +1,7 @@
|
||||
From 0466276d2dabc86dde6ac2ce4f5b6387292bc377 Mon Sep 17 00:00:00 2001
|
||||
From: Pavel Valena <pvalena@redhat.com>
|
||||
Date: Thu, 13 Feb 2025 22:18:06 +0100
|
||||
Subject: [PATCH 08/16] fix(dracut-install): initize fts pointer
|
||||
Subject: [PATCH 09/31] fix(dracut-install): initize fts pointer
|
||||
|
||||
Related: RHEL-65204
|
||||
---
|
||||
@ -22,5 +22,5 @@ index bacbe86e..bd72f0b9 100644
|
||||
fts = fts_open(paths, FTS_NOSTAT | FTS_PHYSICAL, NULL);
|
||||
|
||||
--
|
||||
2.50.1
|
||||
2.52.0
|
||||
|
||||
@ -1,7 +1,7 @@
|
||||
From df9c56dd26d9a31ad9045e7b2ca00e0b366d56a8 Mon Sep 17 00:00:00 2001
|
||||
From: Pavel Valena <pvalena@redhat.com>
|
||||
Date: Mon, 20 Jan 2025 14:16:38 +0100
|
||||
Subject: [PATCH 09/16] feat: add openssl module
|
||||
Subject: [PATCH 10/31] feat: add openssl module
|
||||
|
||||
Resolves: RHEL-76323
|
||||
---
|
||||
@ -1017,5 +1017,5 @@ index 00000000..23b1b7de
|
||||
+/usr/lib64/ossl-modules/pkcs11.so
|
||||
+/usr/lib64/ossl-modules/oqsprovider.so.0.6.0
|
||||
--
|
||||
2.50.1
|
||||
2.52.0
|
||||
|
||||
@ -1,7 +1,7 @@
|
||||
From 18de7972b688001e73924a693d0bcd8c83e79f06 Mon Sep 17 00:00:00 2001
|
||||
From: Pavel Valena <pvalena@redhat.com>
|
||||
Date: Mon, 17 Feb 2025 06:58:26 +0100
|
||||
Subject: [PATCH 10/16] fix(openssl): harden ossl build CFLAGS
|
||||
Subject: [PATCH 11/31] fix(openssl): harden ossl build CFLAGS
|
||||
|
||||
Related: RHEL-76323
|
||||
---
|
||||
@ -22,5 +22,5 @@ index 17b418c2..200dcbb5 100644
|
||||
|
||||
TESTS_CONFIG = $(wildcard tests/config/*.cnf)
|
||||
--
|
||||
2.50.1
|
||||
2.52.0
|
||||
|
||||
@ -1,7 +1,7 @@
|
||||
From 1f5c47ebd37d4f493cb4eab6e955ca8e04c3ef89 Mon Sep 17 00:00:00 2001
|
||||
From: Pavel Valena <pvalena@redhat.com>
|
||||
Date: Mon, 17 Feb 2025 17:31:35 +0100
|
||||
Subject: [PATCH 11/16] fix(ossl): copy executables for the test suite
|
||||
Subject: [PATCH 12/31] fix(ossl): copy executables for the test suite
|
||||
|
||||
and also fix CFLAGS in case of std=c99.
|
||||
|
||||
@ -81,5 +81,5 @@ index 200dcbb5..43e7b464 100644
|
||||
|
||||
TESTS_CONFIG = $(wildcard tests/config/*.cnf)
|
||||
--
|
||||
2.50.1
|
||||
2.52.0
|
||||
|
||||
@ -1,7 +1,7 @@
|
||||
From 13333e5c47d8b9cadb8a1ba881a39c05be186553 Mon Sep 17 00:00:00 2001
|
||||
From: Pavel Valena <pvalena@redhat.com>
|
||||
Date: Thu, 6 Mar 2025 14:23:27 +0100
|
||||
Subject: [PATCH 12/16] fix(rescue): create hmac file for rescue kernel
|
||||
Subject: [PATCH 13/31] fix(rescue): create hmac file for rescue kernel
|
||||
|
||||
Resolves: RHEL-59543
|
||||
---
|
||||
@ -31,5 +31,5 @@ index 1be9b882..030f45ba 100755
|
||||
# shellcheck disable=SC2046
|
||||
dracut -f --no-hostonly --no-uefi \
|
||||
--
|
||||
2.50.1
|
||||
2.52.0
|
||||
|
||||
@ -1,7 +1,7 @@
|
||||
From ad54db31bbe6c006d44c1890a48ddea69c0c2529 Mon Sep 17 00:00:00 2001
|
||||
From: Adam Williamson <awilliam@redhat.com>
|
||||
Date: Fri, 11 Jul 2025 01:37:09 -0700
|
||||
Subject: [PATCH 13/15] Revert "feat(systemd-sysusers): run systemd-sysusers as
|
||||
Subject: [PATCH 14/31] Revert "feat(systemd-sysusers): run systemd-sysusers as
|
||||
part of the build process"
|
||||
|
||||
This reverts commit f3dacc013d90bd2c0bbfa04f5f9b167b65298440.
|
||||
@ -96,5 +96,5 @@ index c1ef40cd..00000000
|
||||
- } 3>&1
|
||||
-}
|
||||
--
|
||||
2.50.1
|
||||
2.52.0
|
||||
|
||||
@ -1,7 +1,7 @@
|
||||
From 0baf5e0b6c1370b51a20327bd67e0260fc9f8f2e Mon Sep 17 00:00:00 2001
|
||||
From: Adam Williamson <awilliam@redhat.com>
|
||||
Date: Thu, 10 Jul 2025 10:33:21 -0700
|
||||
Subject: [PATCH 14/15] Revert "chore: remove unused function"
|
||||
Subject: [PATCH 15/31] Revert "chore: remove unused function"
|
||||
|
||||
This reverts commit 81ddde54051351ea17dbb84ef6232820f96740af.
|
||||
dracut itself may not use inst_library, but external modules do,
|
||||
@ -45,5 +45,5 @@ index 9be00c56..749801fc 100755
|
||||
local _ret
|
||||
if $DRACUT_INSTALL ${dracutsysrootdir:+-r "$dracutsysrootdir"} ${initdir:+-D "$initdir"} ${loginstall:+-L "$loginstall"} ${DRACUT_RESOLVE_DEPS:+-l} ${DRACUT_FIPS_MODE:+-f} "$@"; then
|
||||
--
|
||||
2.50.1
|
||||
2.52.0
|
||||
|
||||
@ -1,7 +1,7 @@
|
||||
From e0d1d0707c4694219b6d44d417c4c4e6a0fdc94c Mon Sep 17 00:00:00 2001
|
||||
From: Pavel Valena <pvalena@redhat.com>
|
||||
Date: Wed, 2 Apr 2025 10:45:51 +0200
|
||||
Subject: [PATCH 15/15] fix(ossl): ignore compiler warnings
|
||||
Subject: [PATCH 16/31] fix(ossl): ignore compiler warnings
|
||||
|
||||
```
|
||||
src/ossl-files.c:37:8: error: type qualifiers ignored on function return type [-Werror=ignored-qualifiers]
|
||||
@ -30,5 +30,5 @@ index 43e7b464..2e76d52a 100644
|
||||
|
||||
TESTS_CONFIG = $(wildcard tests/config/*.cnf)
|
||||
--
|
||||
2.50.1
|
||||
2.52.0
|
||||
|
||||
@ -1,7 +1,7 @@
|
||||
From 36d81322f0bcc2ff92cd7c1bee9a0c175b988693 Mon Sep 17 00:00:00 2001
|
||||
From: Jo Zzsi <jozzsicsataban@gmail.com>
|
||||
Date: Sun, 11 May 2025 21:16:42 -0400
|
||||
Subject: [PATCH 16/20] fix: improve hostonly sloppy mode
|
||||
Subject: [PATCH 17/31] fix: improve hostonly sloppy mode
|
||||
|
||||
Resolve regression introduced by 8519dcd.
|
||||
|
||||
@ -36,5 +36,5 @@ index 72fbc41f..2daacb93 100755
|
||||
fi
|
||||
|
||||
--
|
||||
2.50.1
|
||||
2.52.0
|
||||
|
||||
@ -1,7 +1,7 @@
|
||||
From dcd5368818a3a428c1e86690ef26ba8e3e887014 Mon Sep 17 00:00:00 2001
|
||||
From: David Tardon <dtardon@redhat.com>
|
||||
Date: Tue, 20 May 2025 09:31:52 +0200
|
||||
Subject: [PATCH 17/20] fix(dracut.sh): don't pass empty string as dir
|
||||
Subject: [PATCH 18/31] fix(dracut.sh): don't pass empty string as dir
|
||||
|
||||
That causes dropindirs_sort() to look for .conf files in / due to
|
||||
expansion:
|
||||
@ -32,5 +32,5 @@ index c2b2c949..3b8b0435 100755
|
||||
# shellcheck disable=SC1090
|
||||
[[ -e $f ]] && . "$f"
|
||||
--
|
||||
2.50.1
|
||||
2.52.0
|
||||
|
||||
@ -1,7 +1,7 @@
|
||||
From 639a04bca8cc22a0b3f0e52fc60ec28e911e1189 Mon Sep 17 00:00:00 2001
|
||||
From: Pavel Valena <pvalena@redhat.com>
|
||||
Date: Mon, 4 Aug 2025 23:26:14 +0200
|
||||
Subject: [PATCH 18/20] feat(systemd): drop unnecessary dependency on libgcrypt
|
||||
Subject: [PATCH 19/31] feat(systemd): drop unnecessary dependency on libgcrypt
|
||||
|
||||
Resolves: RHEL-95542
|
||||
---
|
||||
@ -34,5 +34,5 @@ index 77d6a2e9..01a71741 100755
|
||||
{"tls/$_arch/",tls/,"$_arch/",}"liblzma.so.*" \
|
||||
{"tls/$_arch/",tls/,"$_arch/",}"libzstd.so.*"
|
||||
--
|
||||
2.50.1
|
||||
2.52.0
|
||||
|
||||
@ -1,7 +1,7 @@
|
||||
From ad1ac0f85f4228ea25d38c8e50bf5ef0b59fadcf Mon Sep 17 00:00:00 2001
|
||||
From: Pavel Valena <pvalena@redhat.com>
|
||||
Date: Mon, 4 Aug 2025 23:48:59 +0200
|
||||
Subject: [PATCH 19/20] fix(kernel-modules-extra): remove stray \ before /
|
||||
Subject: [PATCH 20/31] fix(kernel-modules-extra): remove stray \ before /
|
||||
|
||||
Fixes grep warning:
|
||||
```grep: warning: stray \ before /```
|
||||
@ -27,5 +27,5 @@ index 85e2e0ad..c2809356 100755
|
||||
|
||||
local cfg
|
||||
--
|
||||
2.50.1
|
||||
2.52.0
|
||||
|
||||
@ -1,7 +1,7 @@
|
||||
From 6fe66a3d55682de7dc24ee8be31752ae2ea08082 Mon Sep 17 00:00:00 2001
|
||||
From: Pavel Valena <pvalena@redhat.com>
|
||||
Date: Tue, 5 Aug 2025 00:00:30 +0200
|
||||
Subject: [PATCH 20/20] Revert "fix(base): do not require chroot inside
|
||||
Subject: [PATCH 21/31] Revert "fix(base): do not require chroot inside
|
||||
initramfs"
|
||||
|
||||
This reverts commit 518133714b769160448a51c512d5e152ea6332da.
|
||||
@ -26,5 +26,5 @@ index 7292ba71..9403706a 100755
|
||||
dmesg \
|
||||
flock \
|
||||
--
|
||||
2.50.1
|
||||
2.52.0
|
||||
|
||||
@ -1,7 +1,7 @@
|
||||
From f7c8c809798d5980d182509f9e1a448a7c65af73 Mon Sep 17 00:00:00 2001
|
||||
From: Coiby Xu <coxu@redhat.com>
|
||||
Date: Mon, 26 May 2025 15:34:30 +0800
|
||||
Subject: [PATCH 21/23] fix: let check_vol_slaves_all return 1 when checks on
|
||||
Subject: [PATCH 22/31] fix: let check_vol_slaves_all return 1 when checks on
|
||||
all slaves fail
|
||||
MIME-Version: 1.0
|
||||
Content-Type: text/plain; charset=UTF-8
|
||||
@ -51,5 +51,5 @@ index 94f0228f..8eadc345 100755
|
||||
|
||||
# fs_get_option <filesystem options> <search for option>
|
||||
--
|
||||
2.50.1
|
||||
2.52.0
|
||||
|
||||
@ -1,7 +1,7 @@
|
||||
From ad715d9108148a25b003df7dd0b3013104d6d717 Mon Sep 17 00:00:00 2001
|
||||
From: Tomas Bzatek <tbzatek@redhat.com>
|
||||
Date: Tue, 3 Jun 2025 18:34:39 +0200
|
||||
Subject: [PATCH 22/23] improvement(74nvmf): lookup required NIC kernel modules
|
||||
Subject: [PATCH 23/31] improvement(74nvmf): lookup required NIC kernel modules
|
||||
for NBFT interfaces
|
||||
|
||||
When dracut is called with '--hostonly-mode strict' and perhaps even
|
||||
@ -41,5 +41,5 @@ index b9888a56..9962ce41 100755
|
||||
|
||||
# called by dracut
|
||||
--
|
||||
2.50.1
|
||||
2.52.0
|
||||
|
||||
@ -1,7 +1,7 @@
|
||||
From 575585575b6309fc3563e58856d6c8f54df0f4a1 Mon Sep 17 00:00:00 2001
|
||||
From: Tomas Bzatek <tbzatek@redhat.com>
|
||||
Date: Tue, 24 Jun 2025 16:50:31 +0200
|
||||
Subject: [PATCH 23/23] fix(74nvmf): set root=nvmf
|
||||
Subject: [PATCH 24/31] fix(74nvmf): set root=nvmf
|
||||
|
||||
In a restricted image like kdump the kernel commandline argument root=
|
||||
is typically absent. However it is required by the 45net-lib/netroot.sh
|
||||
@ -34,5 +34,5 @@ index aad2a458..5288553f 100755
|
||||
+rootok=1
|
||||
+[ -z "$root" ] && root="nvmf"
|
||||
--
|
||||
2.50.1
|
||||
2.52.0
|
||||
|
||||
@ -1,7 +1,7 @@
|
||||
From 7edb5a72481052de7da5827ddf2dcb665e5a4ca4 Mon Sep 17 00:00:00 2001
|
||||
From: Frantisek Sumsal <frantisek@sumsal.cz>
|
||||
Date: Wed, 6 Aug 2025 16:22:34 +0200
|
||||
Subject: [PATCH 29/30] test(SYSTEMD-INITRD): be more careful with `set -e` and
|
||||
Subject: [PATCH 25/31] test(SYSTEMD-INITRD): be more careful with `set -e` and
|
||||
subshells
|
||||
|
||||
When the condition in the subshell fails (i.e. none of the
|
||||
@ -55,5 +55,5 @@ index 34ddcbd6..51dc82fb 100755
|
||||
)
|
||||
|
||||
--
|
||||
2.50.1
|
||||
2.52.0
|
||||
|
||||
30
0026-test-fixup-NFS-test.sh.patch
Normal file
30
0026-test-fixup-NFS-test.sh.patch
Normal file
@ -0,0 +1,30 @@
|
||||
From 6d84a59ba7a117301e418873a29ba8fc512f1477 Mon Sep 17 00:00:00 2001
|
||||
From: Pavel Valena <pvalena@redhat.com>
|
||||
Date: Mon, 18 Aug 2025 16:46:38 +0200
|
||||
Subject: [PATCH 26/31] test: fixup NFS test.sh
|
||||
|
||||
there is an additional empty line; introduced in 88796914fa725c674196c63109fdc3fdae2f0e9d
|
||||
by mistake.
|
||||
|
||||
rhel-only
|
||||
|
||||
Related: RHEL-97473
|
||||
---
|
||||
test/TEST-60-NFS/test.sh | 1 -
|
||||
1 file changed, 1 deletion(-)
|
||||
|
||||
diff --git a/test/TEST-60-NFS/test.sh b/test/TEST-60-NFS/test.sh
|
||||
index f6efea36..9d3e8306 100755
|
||||
--- a/test/TEST-60-NFS/test.sh
|
||||
+++ b/test/TEST-60-NFS/test.sh
|
||||
@@ -377,7 +377,6 @@ test_setup() {
|
||||
"$DRACUT" -i "$TESTDIR"/overlay / \
|
||||
-a "network ${SERVER_DEBUG:+debug}" \
|
||||
-d "af_packet piix ide-gd_mod ata_piix ext4 sd_mod i6300esb virtio_net" \
|
||||
-
|
||||
--no-hostonly-cmdline -N \
|
||||
-f "$TESTDIR"/initramfs.server "$KVERSION"
|
||||
}
|
||||
--
|
||||
2.52.0
|
||||
|
||||
@ -0,0 +1,33 @@
|
||||
From 77092049801dc20e4f9d046ce6be20503efb3913 Mon Sep 17 00:00:00 2001
|
||||
From: Antonio Alvarez Feijoo <antonio.feijoo@suse.com>
|
||||
Date: Mon, 28 Jul 2025 10:10:45 +0200
|
||||
Subject: [PATCH 27/31] fix(systemd-udevd): handle root=gpt-auto for
|
||||
systemd-v258
|
||||
|
||||
A new file 90-image-dissect.rules was split from 99-systemd.rules to handle
|
||||
gpt-root.
|
||||
|
||||
Since https://github.com/systemd/systemd/commit/e3f6ae1d09d28dbe31ccf67122486ad037d25ed0
|
||||
|
||||
(cherry picked from commit ea5649f5ca23f7a85f9035ef304ae960347624a3)
|
||||
|
||||
Resolves: RHEL-113071
|
||||
---
|
||||
modules.d/01systemd-udevd/module-setup.sh | 1 +
|
||||
1 file changed, 1 insertion(+)
|
||||
|
||||
diff --git a/modules.d/01systemd-udevd/module-setup.sh b/modules.d/01systemd-udevd/module-setup.sh
|
||||
index e8f6e5ba..8b0d5c75 100755
|
||||
--- a/modules.d/01systemd-udevd/module-setup.sh
|
||||
+++ b/modules.d/01systemd-udevd/module-setup.sh
|
||||
@@ -34,6 +34,7 @@ depends() {
|
||||
# Install the required file(s) and directories for the module in the initramfs.
|
||||
install() {
|
||||
inst_multiple -o \
|
||||
+ "$udevrulesdir"/90-image-dissect.rules \
|
||||
"$udevrulesdir"/99-systemd.rules \
|
||||
"$systemdutildir"/systemd-udevd \
|
||||
"$systemdsystemunitdir"/systemd-udevd.service \
|
||||
--
|
||||
2.52.0
|
||||
|
||||
48
0028-fix-systemd-repart-allow-partition-format.patch
Normal file
48
0028-fix-systemd-repart-allow-partition-format.patch
Normal file
@ -0,0 +1,48 @@
|
||||
From 92554a7c37a6cd3abc3101e897fa43f1c7f1e4aa Mon Sep 17 00:00:00 2001
|
||||
From: Emanuele Giuseppe Esposito <eesposit@redhat.com>
|
||||
Date: Fri, 20 Jun 2025 08:38:27 -0400
|
||||
Subject: [PATCH 28/31] fix(systemd-repart): allow partition format
|
||||
|
||||
systemd-repart is capable not only of creating a partition, but also of
|
||||
formatting it. According with repart.d, it is able to create the
|
||||
following filesystems: ext4, btrfs, xfs, vfat, erofs and squashfs.
|
||||
|
||||
Add support in the systemd-repart module for the underlying tools to
|
||||
allow systemd-repart to format the partition.
|
||||
|
||||
Failure to do so would make systemd-repart initramfs unit fail, if
|
||||
Format= option is provided in a repart.d config file.
|
||||
|
||||
Signed-off-by: Emanuele Giuseppe Esposito <eesposit@redhat.com>
|
||||
|
||||
(cherry picked from commit d960ff4ba12a077b49f0cb3f5492b7c467a7738a)
|
||||
|
||||
Resolves: RHEL-119787
|
||||
---
|
||||
modules.d/01systemd-repart/module-setup.sh | 10 ++++++++++
|
||||
1 file changed, 10 insertions(+)
|
||||
|
||||
diff --git a/modules.d/01systemd-repart/module-setup.sh b/modules.d/01systemd-repart/module-setup.sh
|
||||
index f9dafc76..3a750082 100755
|
||||
--- a/modules.d/01systemd-repart/module-setup.sh
|
||||
+++ b/modules.d/01systemd-repart/module-setup.sh
|
||||
@@ -19,6 +19,16 @@ install() {
|
||||
"$systemdsystemunitdir"/initrd-root-fs.target.wants/systemd-repart.service \
|
||||
systemd-repart
|
||||
|
||||
+ # Systemd-repart is capable of also formatting the created partition.
|
||||
+ # Support all filesystems that repart.d supports.
|
||||
+ inst_multiple -o \
|
||||
+ "mkfs.ext4" \
|
||||
+ "mkfs.btrfs" \
|
||||
+ "mkfs.xfs" \
|
||||
+ "mkfs.vfat" \
|
||||
+ "mkfs.erofs" \
|
||||
+ "mksquashfs"
|
||||
+
|
||||
# Install the hosts local user configurations if enabled.
|
||||
if [[ $hostonly ]]; then
|
||||
inst_multiple -H -o \
|
||||
--
|
||||
2.52.0
|
||||
|
||||
34
0029-feat-install.d-do-not-remove-UKIs-on-remove.patch
Normal file
34
0029-feat-install.d-do-not-remove-UKIs-on-remove.patch
Normal file
@ -0,0 +1,34 @@
|
||||
From f6443b250017653d6a03e3bb718c5af39523e83d Mon Sep 17 00:00:00 2001
|
||||
From: Xiong Xiaoqiang <xxiong@redhat.com>
|
||||
Date: Thu, 28 Aug 2025 22:02:57 +0800
|
||||
Subject: [PATCH 29/31] feat(install.d): do not remove UKIs on remove)
|
||||
|
||||
According to the changes of systemd/systemd#37897, when --entry-type=type2 is used (for UKI),
|
||||
will not remove normal kernel IMAGE. Resolves: systemd/systemd#37897
|
||||
|
||||
Signed-off-by: Xiong Xiaoqiang <xxiong@redhat.com>
|
||||
|
||||
Resolves: RHEL-111709
|
||||
---
|
||||
install.d/50-dracut.install | 5 +++++
|
||||
1 file changed, 5 insertions(+)
|
||||
|
||||
diff --git a/install.d/50-dracut.install b/install.d/50-dracut.install
|
||||
index 076b4f5e..61a926dd 100755
|
||||
--- a/install.d/50-dracut.install
|
||||
+++ b/install.d/50-dracut.install
|
||||
@@ -120,6 +120,11 @@ case "$COMMAND" in
|
||||
;;
|
||||
|
||||
remove)
|
||||
+ if [[ "$KERNEL_INSTALL_BOOT_ENTRY_TYPE" == "type2" ]]; then
|
||||
+ [[ "${KERNEL_INSTALL_VERBOSE:-0}" -gt 0 ]] && \
|
||||
+ echo "Not removing UKI image (type2); handled by systemd's 90-uki-copy.install"
|
||||
+ exit 0
|
||||
+ fi
|
||||
rm -f -- "$BOOT_DIR_ABS/$IMAGE"
|
||||
ret=$?
|
||||
;;
|
||||
--
|
||||
2.52.0
|
||||
|
||||
@ -0,0 +1,32 @@
|
||||
From 8ea5a6a2bc5310101c211d70ca104f051b2a3106 Mon Sep 17 00:00:00 2001
|
||||
From: Li Tian <litian@redhat.com>
|
||||
Date: Thu, 28 Aug 2025 12:24:23 +0800
|
||||
Subject: [PATCH 30/31] fix(dracut.install): remove extraneous quotes in dracut
|
||||
arguments
|
||||
|
||||
The extraneous quotes become problematic when string is empty.
|
||||
dracut is then confused by empty ''.
|
||||
|
||||
Signed-off-by: Li Tian <litian@redhat.com>
|
||||
|
||||
Resolves: RHEL-111580
|
||||
---
|
||||
install.d/50-dracut.install | 2 +-
|
||||
1 file changed, 1 insertion(+), 1 deletion(-)
|
||||
|
||||
diff --git a/install.d/50-dracut.install b/install.d/50-dracut.install
|
||||
index 61a926dd..4d790d52 100755
|
||||
--- a/install.d/50-dracut.install
|
||||
+++ b/install.d/50-dracut.install
|
||||
@@ -113,7 +113,7 @@ case "$COMMAND" in
|
||||
${noimageifnotneeded:+--noimageifnotneeded} \
|
||||
$([[ $KERNEL_INSTALL_VERBOSE == 1 ]] && echo --verbose) \
|
||||
$([[ -n $KERNEL_IMAGE ]] && echo --kernel-image "$KERNEL_IMAGE") \
|
||||
- "$UEFI_OPTS" \
|
||||
+ $UEFI_OPTS \
|
||||
--kver "$KERNEL_VERSION" \
|
||||
"$BOOT_DIR_ABS/$IMAGE"
|
||||
ret=$?
|
||||
--
|
||||
2.52.0
|
||||
|
||||
@ -0,0 +1,64 @@
|
||||
From a788f4c60c7a72185485952d24266581c9de2353 Mon Sep 17 00:00:00 2001
|
||||
From: Pavel Valena <pvalena@redhat.com>
|
||||
Date: Tue, 6 Jan 2026 17:59:48 +0100
|
||||
Subject: [PATCH 31/31] feat(i18n): pull 'drm' or 'simpledrm' module unless
|
||||
excluded
|
||||
MIME-Version: 1.0
|
||||
Content-Type: text/plain; charset=UTF-8
|
||||
Content-Transfer-Encoding: 8bit
|
||||
|
||||
Some graphic cards require the 'drm' module to be present to be able to
|
||||
setup the console font (e.g. 'i915' requires it).
|
||||
|
||||
Also avoid conflicts of 'drm' with 'simpledrm' module.
|
||||
|
||||
Signed-off-by: Renaud Métrich <rmetrich@redhat.com>
|
||||
Co-authored-by: Renaud Métrich <rmetrich@redhat.com>
|
||||
|
||||
(cherry picked from commit d56b581f3ed3e788d8950cce710c6733a08e9d23)
|
||||
|
||||
Resolves: RHEL-132571
|
||||
---
|
||||
modules.d/10i18n/module-setup.sh | 26 ++++++++++++++++++++++++++
|
||||
1 file changed, 26 insertions(+)
|
||||
|
||||
diff --git a/modules.d/10i18n/module-setup.sh b/modules.d/10i18n/module-setup.sh
|
||||
index 4437f084..d39a5a72 100755
|
||||
--- a/modules.d/10i18n/module-setup.sh
|
||||
+++ b/modules.d/10i18n/module-setup.sh
|
||||
@@ -9,6 +9,32 @@ check() {
|
||||
return 0
|
||||
}
|
||||
|
||||
+# called by dracut
|
||||
+depends() {
|
||||
+ # Include "drm" / "simpledrm" to be able to set the console font properly
|
||||
+ local _module _drm
|
||||
+ local -a _modules=(drm simpledrm)
|
||||
+
|
||||
+ for _module in "${_modules[@]}"; do
|
||||
+ if dracut_module_included "$_module"; then
|
||||
+ _drm="$_module"
|
||||
+ break
|
||||
+ fi
|
||||
+ done
|
||||
+
|
||||
+ if [[ -z $_drm ]]; then
|
||||
+ for _module in "${_modules[@]}"; do
|
||||
+ module_check "$_module" > /dev/null 2>&1
|
||||
+ if [[ $? == 255 ]] && ! [[ " $omit_dracutmodules " == *\ $_module\ * ]]; then
|
||||
+ _drm="$_module"
|
||||
+ break
|
||||
+ fi
|
||||
+ done
|
||||
+ fi
|
||||
+
|
||||
+ echo "$_drm"
|
||||
+}
|
||||
+
|
||||
# called by dracut
|
||||
install() {
|
||||
declare -A KEYMAPS
|
||||
--
|
||||
2.52.0
|
||||
|
||||
70
dracut.spec
70
dracut.spec
@ -8,7 +8,7 @@
|
||||
|
||||
Name: dracut
|
||||
Version: 107
|
||||
Release: 3%{?dist}
|
||||
Release: 4%{?dist}
|
||||
|
||||
Summary: Initramfs generator using udev
|
||||
|
||||
@ -40,65 +40,81 @@ Patch5: 0005-feat-lsinitrd.sh-look-for-initrd-in-usr-lib-modules.patch
|
||||
# feat(fips): include fips module unconditionally
|
||||
# Author: Pavel Valena <pvalena@redhat.com>
|
||||
Patch6: 0006-feat-fips-include-fips-module-unconditionally.patch
|
||||
# build: upgrade to dracut 105
|
||||
# Author: Pavel Valena <pvalena@redhat.com>
|
||||
Patch7: 0007-build-upgrade-to-dracut-105.patch
|
||||
# revert: "fix(rescue): make rescue always no-hostonly"
|
||||
# Author: Pavel Valena <pvalena@redhat.com>
|
||||
Patch7: 0007-revert-fix-rescue-make-rescue-always-no-hostonly.patch
|
||||
Patch8: 0008-revert-fix-rescue-make-rescue-always-no-hostonly.patch
|
||||
# fix(dracut-install): initize fts pointer
|
||||
# Author: Pavel Valena <pvalena@redhat.com>
|
||||
Patch8: 0008-fix-dracut-install-initize-fts-pointer.patch
|
||||
Patch9: 0009-fix-dracut-install-initize-fts-pointer.patch
|
||||
# feat: add openssl module
|
||||
# Author: Pavel Valena <pvalena@redhat.com>
|
||||
Patch9: 0009-feat-add-openssl-module.patch
|
||||
Patch10: 0010-feat-add-openssl-module.patch
|
||||
# fix(openssl): harden ossl build CFLAGS
|
||||
# Author: Pavel Valena <pvalena@redhat.com>
|
||||
Patch10: 0010-fix-openssl-harden-ossl-build-CFLAGS.patch
|
||||
Patch11: 0011-fix-openssl-harden-ossl-build-CFLAGS.patch
|
||||
# fix(ossl): copy executables for the test suite
|
||||
# Author: Pavel Valena <pvalena@redhat.com>
|
||||
Patch11: 0011-fix-ossl-copy-executables-for-the-test-suite.patch
|
||||
Patch12: 0012-fix-ossl-copy-executables-for-the-test-suite.patch
|
||||
# fix(rescue): create hmac file for rescue kernel
|
||||
# Author: Pavel Valena <pvalena@redhat.com>
|
||||
Patch12: 0012-fix-rescue-create-hmac-file-for-rescue-kernel.patch
|
||||
Patch13: 0013-fix-rescue-create-hmac-file-for-rescue-kernel.patch
|
||||
# Revert "feat(systemd-sysusers): run systemd-sysusers as part
|
||||
# Author: Adam Williamson <awilliam@redhat.com>
|
||||
Patch13: 0013-Revert-feat-systemd-sysusers-run-systemd-sysusers-as.patch
|
||||
Patch14: 0014-Revert-feat-systemd-sysusers-run-systemd-sysusers-as.patch
|
||||
# Revert "chore: remove unused function"
|
||||
# Author: Adam Williamson <awilliam@redhat.com>
|
||||
Patch14: 0014-Revert-chore-remove-unused-function.patch
|
||||
Patch15: 0015-Revert-chore-remove-unused-function.patch
|
||||
# fix(ossl): ignore compiler warnings
|
||||
# Author: Pavel Valena <pvalena@redhat.com>
|
||||
Patch15: 0015-fix-ossl-ignore-compiler-warnings.patch
|
||||
Patch16: 0016-fix-ossl-ignore-compiler-warnings.patch
|
||||
# fix: improve hostonly sloppy mode
|
||||
# Author: Jo Zzsi <jozzsicsataban@gmail.com>
|
||||
Patch16: 0016-fix-improve-hostonly-sloppy-mode.patch
|
||||
Patch17: 0017-fix-improve-hostonly-sloppy-mode.patch
|
||||
# fix(dracut.sh): don't pass empty string as dir
|
||||
# Author: David Tardon <dtardon@redhat.com>
|
||||
Patch17: 0017-fix-dracut.sh-don-t-pass-empty-string-as-dir.patch
|
||||
Patch18: 0018-fix-dracut.sh-don-t-pass-empty-string-as-dir.patch
|
||||
# feat(systemd): drop unnecessary dependency on libgcrypt
|
||||
# Author: Pavel Valena <pvalena@redhat.com>
|
||||
Patch18: 0018-feat-systemd-drop-unnecessary-dependency-on-libgcryp.patch
|
||||
Patch19: 0019-feat-systemd-drop-unnecessary-dependency-on-libgcryp.patch
|
||||
# fix(kernel-modules-extra): remove stray \ before /
|
||||
# Author: Pavel Valena <pvalena@redhat.com>
|
||||
Patch19: 0019-fix-kernel-modules-extra-remove-stray-before.patch
|
||||
Patch20: 0020-fix-kernel-modules-extra-remove-stray-before.patch
|
||||
# Revert "fix(base): do not require chroot inside initramfs"
|
||||
# Author: Pavel Valena <pvalena@redhat.com>
|
||||
Patch20: 0020-Revert-fix-base-do-not-require-chroot-inside-initram.patch
|
||||
Patch21: 0021-Revert-fix-base-do-not-require-chroot-inside-initram.patch
|
||||
# fix: let check_vol_slaves_all return 1 when checks on all slaves fail
|
||||
# Author: Coiby Xu <coxu@redhat.com>
|
||||
Patch21: 0021-fix-let-check_vol_slaves_all-return-1-when-checks-on.patch
|
||||
Patch22: 0022-fix-let-check_vol_slaves_all-return-1-when-checks-on.patch
|
||||
# improvement(74nvmf): lookup required NIC kernel modules for NBFT interfaces
|
||||
# Author: Tomas Bzatek <tbzatek@redhat.com>
|
||||
Patch22: 0022-improvement-74nvmf-lookup-required-NIC-kernel-module.patch
|
||||
Patch23: 0023-improvement-74nvmf-lookup-required-NIC-kernel-module.patch
|
||||
# fix(74nvmf): set root=nvmf
|
||||
# Author: Tomas Bzatek <tbzatek@redhat.com>
|
||||
Patch23: 0023-fix-74nvmf-set-root-nvmf.patch
|
||||
|
||||
|
||||
Patch24: 0024-fix-74nvmf-set-root-nvmf.patch
|
||||
# test(SYSTEMD-INITRD): be more careful with `set -e` and subshells
|
||||
# Author: Frantisek Sumsal <frantisek@sumsal.cz>
|
||||
Patch100: 0100-test-SYSTEMD-INITRD-be-more-careful-with-set-e-and-s.patch
|
||||
# test: use network instead of network-legacy
|
||||
Patch25: 0025-test-SYSTEMD-INITRD-be-more-careful-with-set-e-and-s.patch
|
||||
# test: fixup NFS test.sh
|
||||
# Author: Pavel Valena <pvalena@redhat.com>
|
||||
#Patch102: 0102-test-use-network-instead-of-network-legacy.patch
|
||||
Patch26: 0026-test-fixup-NFS-test.sh.patch
|
||||
# fix(systemd-udevd): handle root=gpt-auto for systemd-v258
|
||||
# Author: Antonio Alvarez Feijoo <antonio.feijoo@suse.com>
|
||||
Patch27: 0027-fix-systemd-udevd-handle-root-gpt-auto-for-systemd-v.patch
|
||||
# fix(systemd-repart): allow partition format
|
||||
# Author: Emanuele Giuseppe Esposito <eesposit@redhat.com>
|
||||
Patch28: 0028-fix-systemd-repart-allow-partition-format.patch
|
||||
# feat(install.d): do not remove UKIs on remove)
|
||||
# Author: Xiong Xiaoqiang <xxiong@redhat.com>
|
||||
Patch29: 0029-feat-install.d-do-not-remove-UKIs-on-remove.patch
|
||||
# fix(dracut.install): remove extraneous quotes in dracut arguments
|
||||
# Author: Li Tian <litian@redhat.com>
|
||||
Patch30: 0030-fix-dracut.install-remove-extraneous-quotes-in-dracu.patch
|
||||
# feat(i18n): pull 'drm' or 'simpledrm' module unless excluded
|
||||
# Author: Pavel Valena <pvalena@redhat.com>
|
||||
Patch31: 0031-feat-i18n-pull-drm-or-simpledrm-module-unless-exclud.patch
|
||||
|
||||
# Please use source-git to work with this spec file:
|
||||
# HowTo: https://packit.dev/source-git/work-with-source-git
|
||||
@ -521,6 +537,14 @@ echo 'dracut_rescue_image="yes"' > $RPM_BUILD_ROOT%{dracutlibdir}/dracut.conf.d/
|
||||
%{_prefix}/lib/kernel/install.d/51-dracut-rescue.install
|
||||
|
||||
%changelog
|
||||
* Fri Jan 30 2026 Pavel Valena <pvalena@redhat.com> - 107-4
|
||||
- fix(systemd-udevd): handle root=gpt-auto for systemd-v258
|
||||
- fix(systemd-repart): allow partition format
|
||||
- feat(install.d): do not remove UKIs on remove)
|
||||
- fix(dracut.install): remove extraneous quotes in dracut arguments
|
||||
- feat(i18n): pull 'drm' or 'simpledrm' module unless excluded
|
||||
Resolves: RHEL-111580,RHEL-111709,RHEL-113071,RHEL-119787,RHEL-132571
|
||||
|
||||
* Mon Aug 18 2025 Pavel Valena <pvalena@redhat.com> - 107-3
|
||||
- test(SYSTEMD-INITRD): be more careful with `set -e` and subshells
|
||||
- test: fixup NFS test.sh
|
||||
|
||||
Loading…
Reference in New Issue
Block a user